crashpad::CrashReportDatabase::NewReport Class Reference

A crash report that is in the process of being written. More...

`#include "client/crash_report_database.h"`

## Public Member Functions

FileWriter * | Writer () const
| An open FileWriter with which to write the report.
const UUID & | ReportID () const
FileWriter * | AddAttachment (const std::string &name)
| Adds an attachment to the report. More...

## Friends

class | CrashReportDatabaseGeneric
class | CrashReportDatabaseMac
class | CrashReportDatabaseWin

## Detailed Description

A crash report that is in the process of being written.

An instance of this class should be created via PrepareNewCrashReport().

## Member Function Documentation

## AddAttachment()

FileWriter * crashpad::CrashReportDatabase::NewReport::AddAttachment | ( | const std::string & | name | ) |

Adds an attachment to the report.

Note
  This function is not yet implemented on macOS or Windows.

Parameters

  [in] | name | The key and name for the attachment, which will be included in the http upload. The attachment will not appear in the minidump report. name should only use characters from the set `[a-zA-Z0-9._-]`.

Returns
  A FileWriter that the caller should use to write the contents of the attachment, or `nullptr` on failure with an error logged.

## ReportID()

const UUID& crashpad::CrashReportDatabase::NewReport::ReportID | ( |  | ) | const

inline

A unique identifier by which this report will always be known to the database.

The documentation for this class was generated from the following files:

- client/crash_report_database.h
- client/crash_report_database.cc
- client/crash_report_database_generic.cc
- client/crash_report_database_mac.mm
- client/crash_report_database_win.cc